Method: advertisers.manualTriggers.deactivate

  • The "Deactivate a manual trigger" API method uses an HTTP POST request.

  • Deactivating a manual trigger requires specifying the advertiser ID and the trigger ID in the path parameters.

  • The request body for deactivating a manual trigger must be empty.

  • A successful response to deactivating a manual trigger returns a ManualTrigger object.

  • Deactivating a manual trigger requires authorization with the https://www.googleapis.com/auth/display-video OAuth scope.

Deactivates a manual trigger.

HTTP request

POST https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}/manualTriggers/{triggerId}:deactivate

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
advertiserId

string (int64 format)

Required. The ID of the advertiser that the manual trigger belongs.

triggerId

string (int64 format)

Required. The ID of the manual trigger to deactivate.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of ManualTrigger.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.